import json
import re

# 读取 JSON 文件内容
with open("joj3_result.json", "r", encoding="utf-8") as file:
    json_data = file.read()

# 解析 JSON 数据
data = json.loads(json_data)

# 定义正则表达式以提取 diff 代码块
diff_pattern = re.compile(r"```diff\n(.*?)\n```", re.DOTALL)

# 提取所有 diff 代码块
diff_blocks = []

for item in data:
    if "results" in item:
        for result in item["results"]:
            comment = result.get("comment", "")
            matches = diff_pattern.findall(comment)
            diff_blocks.extend(matches)

# 处理 \n 符号并打印 diff 代码块
for i, diff in enumerate(diff_blocks):
    # 将 \n 替换为实际换行符
    formatted_diff = diff.replace("\\n", "\n")
    print(f"Diff block {i+1}:\n{formatted_diff}\n")
